Exception::getLine
Exception::getTraceAsString
Exception
PHP Manual

# Exception::getTrace

Gets the stack trace

### Description

final public array Exception::getTrace ( void )

Returns the Exception stack trace.

### Parameters

This function has no parameters.

### Return Values

Returns the Exception stack trace as an array.

### Examples

Example #1 Exception::getTrace example

`<?php
function test() {
throw new Exception;
}
try {
test();
} catch(Exception $e) {
var_dump($e->getTrace());
}
?>`

The above example will output something similar to:

    array(1) {
      [0]=>
      array(4) {
        ["file"]=>
        string(22) "/home/bjori/tmp/ex.php"
        ["line"]=>
        int(7)
        ["function"]=>
        string(4) "test"
        ["args"]=>
        array(0) {
        }
      }
    }